#pragma once

#include "CoreMinimal.h"
#include "UserSettingsBaseSetting.h"
#include "EUserSettingsBaseChallengeActiveMode.h"
#include "UserSettingsBaseChallenge.generated.h"

USTRUCT(BlueprintType)
struct FUserSettingsBaseChallenge : public FUserSettingsBaseSetting
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	EUserSettingsBaseChallengeActiveMode Visibility;

public:
	DEADBYDAYLIGHT_API FUserSettingsBaseChallenge();
};

FORCEINLINE uint32 GetTypeHash(const FUserSettingsBaseChallenge) { return 0; }
